"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var bt = require("@babel/types");
/**
 * true if the left part of the expression of the NodePath is of form `exports.foo = ...;` or
 * `modules.exports = ...;`.
 */
function isExportedAssignment(path) {
    if (bt.isExpressionStatement(path.node)) {
        path = path.get('expression');
    }
    if (!bt.isAssignmentExpression(path.node)) {
        return false;
    }
    var pathLeft = path.get('left');
    var isSimpleExports = bt.isIdentifier(pathLeft.node) && pathLeft.node.name === 'exports';
    // check if we are looking at obj.member = value`
    var isModuleExports = false;
    if (!isSimpleExports && !bt.isMemberExpression(pathLeft.node)) {
        return false;
    }
    else if (bt.isMemberExpression(pathLeft.node)) {
        var leftObject = pathLeft.get('object');
        var leftProp = pathLeft.get('property');
        isModuleExports =
            !Array.isArray(leftProp) &&
                bt.isIdentifier(leftProp.node) &&
                bt.isIdentifier(leftObject.node) &&
                // if exports.xx =
                (leftObject.node.name === 'exports' ||
                    // if module.exports =
                    (leftObject.node.name === 'module' && leftProp.node.name === 'exports'));
    }
    return isSimpleExports || isModuleExports;
}
exports.default = isExportedAssignment;
//# sourceMappingURL=isExportedAssignment.js.map