"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var bt = require("@babel/types");
function resolveExportDeclaration(path) {
    var definitions = [];
    if (bt.isExportDefaultDeclaration(path.node)) {
        var defaultPath = path;
        definitions.push(defaultPath.get('declaration'));
    }
    else if (bt.isExportNamedDeclaration(path.node)) {
        var declaration = path.get('declaration');
        if (declaration && bt.isVariableDeclaration(declaration.node)) {
            declaration.get('declarations').each(function (declarator) { return definitions.push(declarator); });
        }
        else {
            definitions.push(path.get('declaration'));
        }
    }
    else if (bt.isExportDeclaration(path.node)) {
        var declarePath = path;
        var specifiersPath = declarePath.get('specifiers');
        specifiersPath.each(function (specifier) {
            definitions.push(bt.isExportSpecifier(specifier.node) ? specifier.get('local') : specifier.get('exported'));
        });
    }
    return definitions;
}
exports.default = resolveExportDeclaration;
//# sourceMappingURL=resolveExportDeclaration.js.map